interactions:
- request:
    body: null
    headers:
      API-KEY:
      - '****'
      Accept:
      - application/json
      Accept-Encoding:
      - gzip, deflate
      Accept-Language:
      - ca
      Connection:
      - keep-alive
      User-Agent:
      - python-requests/2.27.1
    method: GET
    uri: http://odoo-sc.local:8069/api/product-catalog?code=21IVA&categ=
  response:
    body:
      string: '{"pricelists": [{"code": "21IVA", "products": [{"code": "SE_SC_REC_BA_ADSL_SF",
        "name": "ADSL sense fix", "price": 31.5, "category": "adsl", "minutes": null,
        "data": null, "bandwidth": 20, "available_for": ["member", "coop_agreement"]},
        {"code": "SE_SC_REC_BA_F_100", "name": "Fibra 100Mb amb fix", "price": 34.0,
        "category": "fiber", "minutes": null, "data": null, "bandwidth": 100, "available_for":
        ["member"]}, {"code": "SE_SC_REC_BA_F_1024", "name": "Fibra 1Gb", "price":
        58.0, "category": "fiber", "minutes": null, "data": null, "bandwidth": 1000,
        "available_for": ["member"]}, {"code": "SE_SC_REC_BA_F_600", "name": "Fibra
        600Mb", "price": 43.0, "category": "fiber", "minutes": null, "data": null,
        "bandwidth": 600, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_0_0",
        "name": "0 min 0 MB", "price": 2.0, "category": "mobile", "minutes": 0, "data":
        0, "bandwidth": null, "available_for": ["member", "coop_agreement"]}, {"code":
        "SE_SC_REC_MOBILE_T_0_1024", "name": "0 min 1 GB", "price": 4.5, "category":
        "mobile", "minutes": 0, "data": 1024, "bandwidth": null, "available_for":
        ["member", "coop_agreement"]}, {"code": "SE_SC_REC_MOBILE_T_150_0", "name":
        "150 min 0 MB", "price": 4.5, "category": "mobile", "minutes": 150, "data":
        0, "bandwidth": null, "available_for": ["member", "coop_agreement"]}, {"code":
        "SE_SC_REC_MOBILE_T_150_1024", "name": "150 min 1 GB", "price": 7.0, "category":
        "mobile", "minutes": 150, "data": 1024, "bandwidth": null, "available_for":
        ["member", "coop_agreement"]}, {"code": "SE_SC_REC_MOBILE_T_UNL_10240", "name":
        "Il\u00b7limitades 10 GB", "price": 12.0, "category": "mobile", "minutes":
        99999, "data": 10240, "bandwidth": null, "available_for": ["member", "coop_agreement",
        "sponsored"]}, {"code": "SE_SC_REC_MOBILE_T_UNL_102400", "name": "Il\u00b7limitades
        100 GB", "price": 31.5, "category": "mobile", "minutes": 99999, "data": 102400,
        "bandwidth": null, "available_for": ["member", "coop_agreement", "sponsored"]},
        {"code": "SE_SC_REC_MOBILE_T_UNL_20480", "name": "Il\u00b7limitades 20 GB",
        "price": 15.5, "category": "mobile", "minutes": 99999, "data": 20480, "bandwidth":
        null, "available_for": ["member", "coop_agreement", "sponsored"]}, {"code":
        "SE_SC_REC_MOBILE_T_UNL_30720", "name": "Il\u00b7limitades 30 GB", "price":
        19.0, "category": "mobile", "minutes": 99999, "data": 30720, "bandwidth":
        null, "available_for": ["member", "coop_agreement", "sponsored"]}, {"code":
        "SE_SC_REC_MOBILE_T_UNL_5120", "name": "Il\u00b7limitades 5 GB", "price":
        9.0, "category": "mobile", "minutes": 99999, "data": 5120, "bandwidth": null,
        "available_for": ["member", "coop_agreement", "sponsored"]}, {"code": "SE_SC_REC_MOBILE_T_UNL_51200",
        "name": "Il\u00b7limitades 50 GB", "price": 24.0, "category": "mobile", "minutes":
        99999, "data": 51200, "bandwidth": null, "available_for": ["member", "coop_agreement",
        "sponsored"]}]}]}'
    headers:
      Access-Control-Allow-Methods:
      - GET
      Access-Control-Allow-Origin:
      - None
      Content-Length:
      - '2873'
      Content-Type:
      - application/json
      Cookie: '****'
      Date:
      - Tue, 22 Mar 2022 10:48:49 GMT
      Server:
      - Werkzeug/0.11.15 Python/3.7.7
      Set-Cookie: '****'
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      API-KEY:
      - '****'
      Accept:
      - application/json
      Accept-Encoding:
      - gzip, deflate
      Accept-Language:
      - es
      Connection:
      - keep-alive
      User-Agent:
      - python-requests/2.27.1
    method: GET
    uri: http://odoo-sc.local:8069/api/product-catalog?code=21IVA&categ=
  response:
    body:
      string: '{"pricelists": [{"code": "21IVA", "products": [{"code": "SE_SC_REC_BA_ADSL_SF",
        "name": "ADSL 20Mb sin tel\u00e9fono fijo", "price": 31.5, "category": "adsl",
        "minutes": null, "data": null, "bandwidth": 20, "available_for": ["member",
        "coop_agreement"]}, {"code": "SE_SC_REC_BA_F_100", "name": "Fibra 100Mb",
        "price": 34.0, "category": "fiber", "minutes": null, "data": null, "bandwidth":
        100, "available_for": ["member"]}, {"code": "SE_SC_REC_BA_F_1024", "name":
        "Fibra 1Gb", "price": 58.0, "category": "fiber", "minutes": null, "data":
        null, "bandwidth": 1000, "available_for": ["member"]}, {"code": "SE_SC_REC_BA_F_600",
        "name": "Fibra 600Mb", "price": 43.0, "category": "fiber", "minutes": null,
        "data": null, "bandwidth": 600, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_0_0",
        "name": "0 min 0 MB", "price": 2.0, "category": "mobile", "minutes": 0, "data":
        0, "bandwidth": null, "available_for": ["member", "coop_agreement"]}, {"code":
        "SE_SC_REC_MOBILE_T_0_1024", "name": "0 min 1 GB", "price": 4.5, "category":
        "mobile", "minutes": 0, "data": 1024, "bandwidth": null, "available_for":
        ["member", "coop_agreement"]}, {"code": "SE_SC_REC_MOBILE_T_150_0", "name":
        "150 min 0 MB", "price": 4.5, "category": "mobile", "minutes": 150, "data":
        0, "bandwidth": null, "available_for": ["member", "coop_agreement"]}, {"code":
        "SE_SC_REC_MOBILE_T_150_1024", "name": "150 min 1 GB", "price": 7.0, "category":
        "mobile", "minutes": 150, "data": 1024, "bandwidth": null, "available_for":
        ["member", "coop_agreement"]}, {"code": "SE_SC_REC_MOBILE_T_UNL_10240", "name":
        "Ilimitadas 10 GB", "price": 12.0, "category": "mobile", "minutes": 99999,
        "data": 10240, "bandwidth": null, "available_for": ["member", "coop_agreement",
        "sponsored"]}, {"code": "SE_SC_REC_MOBILE_T_UNL_102400", "name": "Ilimitadas
        100 GB", "price": 31.5, "category": "mobile", "minutes": 99999, "data": 102400,
        "bandwidth": null, "available_for": ["member", "coop_agreement", "sponsored"]},
        {"code": "SE_SC_REC_MOBILE_T_UNL_20480", "name": "Ilimitadas 20 GB", "price":
        15.5, "category": "mobile", "minutes": 99999, "data": 20480, "bandwidth":
        null, "available_for": ["member", "coop_agreement", "sponsored"]}, {"code":
        "SE_SC_REC_MOBILE_T_UNL_30720", "name": "Ilimitadas 30 GB", "price": 19.0,
        "category": "mobile", "minutes": 99999, "data": 30720, "bandwidth": null,
        "available_for": ["member", "coop_agreement", "sponsored"]}, {"code": "SE_SC_REC_MOBILE_T_UNL_5120",
        "name": "Ilimitadas 5 GB", "price": 9.0, "category": "mobile", "minutes":
        99999, "data": 5120, "bandwidth": null, "available_for": ["member", "coop_agreement",
        "sponsored"]}, {"code": "SE_SC_REC_MOBILE_T_UNL_51200", "name": "Ilimitadas
        50 GB", "price": 24.0, "category": "mobile", "minutes": 99999, "data": 51200,
        "bandwidth": null, "available_for": ["member", "coop_agreement", "sponsored"]}]}]}'
    headers:
      Access-Control-Allow-Methods:
      - GET
      Access-Control-Allow-Origin:
      - None
      Content-Length:
      - '2841'
      Content-Type:
      - application/json
      Cookie: '****'
      Date:
      - Tue, 22 Mar 2022 10:48:50 GMT
      Server:
      - Werkzeug/0.11.15 Python/3.7.7
      Set-Cookie: '****'
    status:
      code: 200
      message: OK
version: 1
